[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TUTF8Parser.Destroy

Deprecated. Destructor for the class instance.

## Declaration

Source position: lresources.pp line 386

`public destructor TUTF8Parser.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. It moves the stream to the position returned from SourcePos (the position for the last processed value in the internal buffer). Destroy free the memory allocated for the internal buffer in the class instance.

## Version info

Deprecated in LCL version 3.0. Use Classes.TParser instead.